Bug 1956799 - pipewire fails after upgrading to 0.3.26 - reverting to 0.3.25 fixes issue
Summary: pipewire fails after upgrading to 0.3.26 - reverting to 0.3.25 fixes issue
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 34
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 12:35 UTC by Michel van der List
Modified: 2021-05-08 17:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
pw-dump >dump.log (147.44 KB, text/plain)
2021-05-04 16:47 UTC, Michel van der List
no flags Details
pipewire-media-session 2>session.log (91.09 KB, application/octet-stream)
2021-05-04 16:55 UTC, Michel van der List
no flags Details
pw-dump >dump2.log (78.97 KB, application/octet-stream)
2021-05-04 17:03 UTC, Michel van der List
no flags Details
pipewire-media-session 2>session2.log (89.34 KB, application/octet-stream)
2021-05-04 17:05 UTC, Michel van der List
no flags Details

Description Michel van der List 2021-05-04 12:35:46 UTC
Description of problem: After upgrading to version 0.3.26 of pipewire, sound stopped working. 

Version-Release number of selected component (if applicable): 0.3.26 & 0.3.25

How reproducible: always

Steps to Reproduce:
1. upgrade pipewire pipewire-alsa pipewire-gstreamer
   pipewire-jack-audio-connection-kit pipewire-libs
   pipewire-pulseaudio pipewire-utils
   to 0.3.26-4 
2. reboot/login

Actual results:

No sound, running
    journalctl --since today --user-unit pipewire
shows:
    -- Boot d36f0d53a1234139b87fdc0aca6eb8d7 --
    May 04 05:42:58 redacted.example.com systemd[1634]: Started Multimedia Service.
    May 04 05:43:23 redacted.example.com pipewire-media-session[1914]: GetManagedObjects() failed: org.freedesktop.DBus.Error.NoReply
    May 04 06:49:47 redacted.example.com pipewire-media-session[1914]: no node found for 51
    May 04 06:50:05 redacted.example.com pipewire-media-session[1914]: GetManagedObjects() failed: org.freedesktop.DBus.Error.NoReply
    May 04 06:50:08 redacted.example.com pipewire-media-session[1914]: no node found for 50
    May 04 06:50:33 redacted.example.com pipewire-media-session[1914]: no node found for 50
    May 04 06:50:35 redacted.example.com pipewire-media-session[1914]: no node found for 50
    <repeated> ...


Expected results:

After downgrading to 0.3.25-4 journalctl shows:
    -- Boot 80c19edc82724e9f98fa587260303f2f --
    May 04 07:39:17 redacted.example.com systemd[1618]: Started Multimedia Service.
    May 04 07:39:42 redacted.example.com pipewire-media-session[1902]: GetManagedObjects() failed: org.freedesktop.DBus.Error.NoReply
    May 04 07:45:34 redacted.example.com pipewire-media-session[1902]: device 'alsa_card.pci-0000_00_03.0': can't restore profile: No such device

and sound works again.

Additional info:

Comment 1 Wim Taymans 2021-05-04 13:45:24 UTC
Some things to check:

- check if there are any .rpmnew config files in /etc/pipewire/ and /etc/pipewire/media-session.d/
- attach the output of pw-dump >dump.log here
- run:

killall -9 pipewire-media-session
PIPEWIRE_DEBUG=3 pipewire-media-session 2>session.log

And attach the session.log file here.

Comment 2 Michel van der List 2021-05-04 16:45:26 UTC
Well, this is frustrating. After re-upgrading it just works :-(.

- check if there are any .rpmnew config files in /etc/pipewire/ and /etc/pipewire/media-session.d/

  there are not.

- attach the output of pw-dump >dump.log here
- run:
  killall -9 pipewire-media-session
  PIPEWIRE_DEBUG=3 pipewire-media-session 2>session.log

  And attach the session.log file here.

will do so after posting this comment. Not sure if that's useful
now that the issue disappeared?

Comment 3 Michel van der List 2021-05-04 16:47:01 UTC
Created attachment 1779438 [details]
pw-dump >dump.log

Comment 4 Michel van der List 2021-05-04 16:55:10 UTC
Created attachment 1779443 [details]
pipewire-media-session 2>session.log

Comment 5 Michel van der List 2021-05-04 17:02:30 UTC
OK, after trying that, the sound disappeared again. I'll attach
the changed output of dump.log and do the pipewire-media-session
again...

Comment 6 Michel van der List 2021-05-04 17:03:03 UTC
Created attachment 1779446 [details]
pw-dump >dump2.log

Comment 7 Michel van der List 2021-05-04 17:05:58 UTC
Created attachment 1779447 [details]
pipewire-media-session 2>session2.log

Comment 8 Michel van der List 2021-05-04 17:07:10 UTC
And now (with the PIPEWIRE_DEBUG=3 pipewire-media-session 2>session2.log) running,
I have sound again.

Comment 9 Michel van der List 2021-05-07 17:20:34 UTC
Not sure what was fixed, but upgrading to pipewire-0.3.27-1 this PM made my sound work
again without the kill/restart work-around.

Comment 10 Michael Schwendt 2021-05-07 22:22:24 UTC
Sorry for hijacking this ticket.

When I log out of F34 GNOME Shell and log back in, sound is not available anymore. Rebooting fixes it for now, but only until I log out and back in. This is with 0.3.27 and a fully updated F34. Seems to have been introduced recently.

Comment 11 Michael Schwendt 2021-05-07 22:45:53 UTC
So, after logging out, there are three processes still running for the user: pipewire, pipewire-pulse, pipewire-media-session

When logging in again, I need to kill them, and they get respawned and make sound work.

Comment 12 Michel van der List 2021-05-08 17:32:45 UTC
Just FYI, I do not see the problem that Michael Schwendt describes.
My sound works fine with the latest version.


Note You need to log in before you can comment on or make changes to this bug.